# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-TrailingSpace
Version:	0.0601
Release:	6.%{__distinit}%{__distvers}
Summary:	Test for trailing space in source files
License:	MIT
URL:		https://metacpan.org/release/Test-TrailingSpace
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-TrailingSpace-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(:VERSION) >= 5.14.0
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(autodie)
BuildRequires:	perl(File::Find::Object::Rule) >= 0.0301
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::TreeCreate)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::Builder::Tester)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module is used to test for presence of trailing space.

%prep
%setup -q -n Test-TrailingSpace-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::TrailingSpace.3*

%changelog
* Mon May 29 2023 Paul Howarth <paul@city-fan.org> - 0.0601-6
- SPDX migration

* Fri Aug 27 2021 Paul Howarth <paul@city-fan.org> - 0.0601-1
- Update to 0.0601
  - Split File::TreeCreate off to its own distribution
- Use %%license unconditionally
- Fix dist tags for Alma and Rocky Linux

* Sun Jun  7 2020 Paul Howarth <paul@city-fan.org> - 0.0600-1
- Update to 0.0600
  - Avoid excessive callback calls by having the _path_cb take the $rule
    object (optimization)

* Sun Jun  7 2020 Paul Howarth <paul@city-fan.org> - 0.0501-1
- Update to 0.0501
  - Try to fix t/dogfood.t tests failures on MS Windows

* Fri Jun  5 2020 Paul Howarth <paul@city-fan.org> - 0.0500-1
- Update to 0.0500
  - Convert the file processing to use a code generated callback (a speed
    optimization)

* Wed May 20 2020 Paul Howarth <paul@city-fan.org> - 0.0400-1
- Update to 0.0400
  - Add the 'find_cr' and 'find_tabs' options
- Module now requires Perl 5.14

* Tue Mar 10 2020 Paul Howarth <paul@city-fan.org> - 0.0302-3
- BR: perl(blib) for t/00-compile.t

* Mon Aug 26 2019 Paul Howarth <paul@city-fan.org> - 0.0302-1
- Update to 0.0302
  - Now at https://github.com/shlomif/perl-test-trailingspace
  - Convert to https://metacpan.org/pod/Dist::Zilla::PluginBundle::SHLOMIF
- Switch to ExtUtils::MakeMaker flow
- Extra tests moved to xt/, don't bother trying to run them

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 0.0301-10
- Perl 5.30 rebuild

* Mon Jun  3 2019 Paul Howarth <paul@city-fan.org> - 0.0301-9
- Avoid use of Test::Kwalitee::Extra, which is broken with
  Module::CPANTS::Analyse ≥ 1.00 (CPAN RT#128602)

* Thu Apr  5 2018 Paul Howarth <paul@city-fan.org> - 0.0301-5
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 0.0301-3
- Add ability to disable at build-time the tests that require external network
  access (--without network_tests)
- Disable network tests for now as Test::Kwalitee::Extra uses
  MetaCPAN::API::Tiny, which is using a no longer supported API
  (CPAN RT#122004)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.96

* Tue Jan 10 2017 Paul Howarth <paul@city-fan.org> - 0.0301-2
- Test::Kwalitee::Extra now available universally

* Wed Nov  2 2016 Paul Howarth <paul@city-fan.org> - 0.0301-1
- Update to 0.0301
  - Skip "sample-data" in t/dogfood.t, which caused problems with parallel
    testing

* Thu May 19 2016 Paul Howarth <paul@city-fan.org> - 0.0300-1
- Update to 0.0300
  - Made abs_path_prune_re affect files as well; this way one can skip files
    with offending extensions
- BR: perl-generators where possible

* Thu Jun 25 2015 Paul Howarth <paul@city-fan.org> - 0.0205-2
- Perl 5.22 rebuild

* Sun May 31 2015 Paul Howarth <paul@city-fan.org> - 0.0205-1
- Update to 0.0205
  - Add VCS repository and bugtracker info to META.yml
- Classify buildreqs by usage

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.0204-2
- BR: perl(Test::CPAN::Changes) unconditionally
- Use %%license where possible

* Fri Apr 11 2014 Paul Howarth <paul@city-fan.org> - 0.0204-1
- Import from Fedora
- Update to 0.0204
  - Specify minimum version of perl to be 5.8
  - Add provides to META.yml
  - Add Test::CPAN::Changes

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0203-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.0203-1
- Initial Package
